Main Page Modules Data Structures File List Data Fields Globals Related Pages

# lib/rpmlibprov.c File Reference

More...

`#include "system.h"`
`#include <rpmlib.h>`
`#include "debug.h"`

Go to the source code of this file.

## Data Structures

struct | rpmlibProvides_s

## Functions

void | rpmShowRpmlibProvides (FILE *fp)
int | rpmCheckRpmlibProvides (const char *keyName, const char *keyEVR, int keyFlags)
int | rpmGetRpmlibProvides (const char ***provNames, int **provFlags, const char ***provVersions)

## Variables

rpmlibProvides_s | rpmlibProvides []

## Detailed Description

Definition in file rpmlibprov.c.

## Variable Documentation

struct rpmlibProvides_s rpmlibProvides[]`[static]`

| Referenced by rpmCheckRpmlibProvides, rpmGetRpmlibProvides, and rpmShowRpmlibProvides.